cURL
curl --request POST \ --url https://api.ttapi.io/suno/v1/gen-midi \ --header 'Content-Type: application/json' \ --header 'TT-API-KEY: <api-key>' \ --data ' { "music_id": "<string>" } '
{ "status": "SUCCESS", "message": "success", "data": { "state": "complete", "instruments": [ { "name": "Synth Voice", "notes": [ { "pitch": 60, "start": 11.166666666666666, "end": 11.333333333333334, "velocity": 0.49606299212598426 }, { "pitch": 60, "start": 11.5, "end": 11.666666666666666, "velocity": 0.49606299212598426 }, { "pitch": 60, "start": 11.833333333333334, "end": 12, "velocity": 0.49606299212598426 } ] } ] } }
使用 Suno MIDI 生成接口将音乐结果转换为 MIDI 文件,方便在编曲软件中继续编辑旋律、和声与节奏结构,适合专业音乐制作和二次加工。
Documentation IndexFetch the complete documentation index at: https://docs.ttapi.io/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
Use this file to discover all available pages before exploring further.
请前往 TTAPI 控制台 获取 API 密钥。
歌曲id
请求成功
"SUCCESS"
"success"
Show child attributes